#version 150 compatibility

attribute vec4 mc_Entity;

varying vec2 lmcoord;
varying vec2 texcoord;
varying vec4 glcolor;

uniform mat4 shadowModelView;
uniform mat4 shadowProjection;

#include "/common.glsl"

void main() {
	texcoord = (gl_TextureMatrix[0] * gl_MultiTexCoord0).xy;
	lmcoord  = (gl_TextureMatrix[1] * gl_MultiTexCoord1).xy;
	glcolor = gl_Color;


  gl_Position = ftransform();
	gl_Position.xyz = distort(gl_Position.xyz);

  #ifndef FOLIAGE_SHADOW
  if (round(mc_Entity.x) == 1) {
    gl_Position = vec4(10.0);
  }
  #endif
}